com.r3corda.contracts / CommercialPaper / Clauses / Redeem

# Redeem

`class Redeem : ConcreteClause<State, Commands, Issued<Terms>>`

### Constructors

<init> | `Redeem()`

### Properties

requiredCommands | `val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Functions

verify | `fun verify(tx: TransactionForContract, inputs: List<State>, outputs: List<State>, commands: List<AuthenticatedObject<Commands>>, groupingKey: Issued<Terms>?): Set<Commands>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.